<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>Data Path</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">Data Path</div>  </div>
</div><!--header-->
<div class="contents">

<p>mmWave Radar Data Path(LVDS/CSI2) Module.  
<a href="#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ga121645804bbdc6588428379e48740eaa"><td class="memItemLeft" align="right" valign="top">MMWL_EXPORT rlReturnVal_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___data___path.html#ga121645804bbdc6588428379e48740eaa">rlDeviceSetDataFmtConfig</a> (rlUInt8_t deviceMap, <a class="el" href="structrl_dev_data_fmt_cfg__t.html">rlDevDataFmtCfg_t</a> *data)</td></tr>
<tr class="memdesc:ga121645804bbdc6588428379e48740eaa"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets LVDS/CSI2 Data output format.  <a href="#ga121645804bbdc6588428379e48740eaa">More...</a><br /></td></tr>
<tr class="separator:ga121645804bbdc6588428379e48740eaa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gabb85491e6de4885adb195518c9da9a6d"><td class="memItemLeft" align="right" valign="top">MMWL_EXPORT rlReturnVal_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___data___path.html#gabb85491e6de4885adb195518c9da9a6d">rlDeviceGetDataFmtConfig</a> (rlUInt8_t deviceMap, <a class="el" href="structrl_dev_data_fmt_cfg__t.html">rlDevDataFmtCfg_t</a> *data)</td></tr>
<tr class="memdesc:gabb85491e6de4885adb195518c9da9a6d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets LVDS/CSI2 Data output format.  <a href="#gabb85491e6de4885adb195518c9da9a6d">More...</a><br /></td></tr>
<tr class="separator:gabb85491e6de4885adb195518c9da9a6d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2c4c0bdf32e6dd44a1e281168eea9807"><td class="memItemLeft" align="right" valign="top">MMWL_EXPORT rlReturnVal_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___data___path.html#ga2c4c0bdf32e6dd44a1e281168eea9807">rlDeviceSetDataPathConfig</a> (rlUInt8_t deviceMap, <a class="el" href="structrl_dev_data_path_cfg__t.html">rlDevDataPathCfg_t</a> *data)</td></tr>
<tr class="memdesc:ga2c4c0bdf32e6dd44a1e281168eea9807"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets LVDS/CSI2 Path Configuration.  <a href="#ga2c4c0bdf32e6dd44a1e281168eea9807">More...</a><br /></td></tr>
<tr class="separator:ga2c4c0bdf32e6dd44a1e281168eea9807"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga947eccf4029f111057e79fcd121ed00e"><td class="memItemLeft" align="right" valign="top">MMWL_EXPORT rlReturnVal_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___data___path.html#ga947eccf4029f111057e79fcd121ed00e">rlDeviceGetDataPathConfig</a> (rlUInt8_t deviceMap, <a class="el" href="structrl_dev_data_path_cfg__t.html">rlDevDataPathCfg_t</a> *data)</td></tr>
<tr class="memdesc:ga947eccf4029f111057e79fcd121ed00e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets data path Configuration.  <a href="#ga947eccf4029f111057e79fcd121ed00e">More...</a><br /></td></tr>
<tr class="separator:ga947eccf4029f111057e79fcd121ed00e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga09df3b8194ffad0c7c52a84ae1224e85"><td class="memItemLeft" align="right" valign="top">MMWL_EXPORT rlReturnVal_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___data___path.html#ga09df3b8194ffad0c7c52a84ae1224e85">rlDeviceSetLaneConfig</a> (rlUInt8_t deviceMap, <a class="el" href="structrl_dev_lane_enable__t.html">rlDevLaneEnable_t</a> *data)</td></tr>
<tr class="memdesc:ga09df3b8194ffad0c7c52a84ae1224e85"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets Lane enable Configuration.  <a href="#ga09df3b8194ffad0c7c52a84ae1224e85">More...</a><br /></td></tr>
<tr class="separator:ga09df3b8194ffad0c7c52a84ae1224e85"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga65ef04a40f6908d4d145779312912163"><td class="memItemLeft" align="right" valign="top">MMWL_EXPORT rlReturnVal_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___data___path.html#ga65ef04a40f6908d4d145779312912163">rlDeviceGetLaneConfig</a> (rlUInt8_t deviceMap, <a class="el" href="structrl_dev_lane_enable__t.html">rlDevLaneEnable_t</a> *data)</td></tr>
<tr class="memdesc:ga65ef04a40f6908d4d145779312912163"><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets Lane enable Configuration.  <a href="#ga65ef04a40f6908d4d145779312912163">More...</a><br /></td></tr>
<tr class="separator:ga65ef04a40f6908d4d145779312912163"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4c39dbbeef9cc835f044b6335e0c78fc"><td class="memItemLeft" align="right" valign="top">MMWL_EXPORT rlReturnVal_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___data___path.html#ga4c39dbbeef9cc835f044b6335e0c78fc">rlDeviceSetDataPathClkConfig</a> (rlUInt8_t deviceMap, <a class="el" href="structrl_dev_data_path_clk_cfg__t.html">rlDevDataPathClkCfg_t</a> *data)</td></tr>
<tr class="memdesc:ga4c39dbbeef9cc835f044b6335e0c78fc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets LVDS Clock Configuration.  <a href="#ga4c39dbbeef9cc835f044b6335e0c78fc">More...</a><br /></td></tr>
<tr class="separator:ga4c39dbbeef9cc835f044b6335e0c78fc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4d54ca72d1ebc361ef80c75ea3de2b34"><td class="memItemLeft" align="right" valign="top">MMWL_EXPORT rlReturnVal_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___data___path.html#ga4d54ca72d1ebc361ef80c75ea3de2b34">rlDeviceSetHsiConfig</a> (rlUInt8_t deviceMap, <a class="el" href="structrl_dev_hsi_cfg__t.html">rlDevHsiCfg_t</a> *data)</td></tr>
<tr class="memdesc:ga4d54ca72d1ebc361ef80c75ea3de2b34"><td class="mdescLeft">&#160;</td><td class="mdescRight">: This function sets the High Speed Interface(LVDS/CSI2) clock, lane, data rate and data format  <a href="#ga4d54ca72d1ebc361ef80c75ea3de2b34">More...</a><br /></td></tr>
<tr class="separator:ga4d54ca72d1ebc361ef80c75ea3de2b34"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga126ee250dbf87efb6ebcc865c83150ab"><td class="memItemLeft" align="right" valign="top">MMWL_EXPORT rlReturnVal_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___data___path.html#ga126ee250dbf87efb6ebcc865c83150ab">rlDeviceSetHsiClk</a> (rlUInt8_t deviceMap, <a class="el" href="structrl_dev_hsi_clk__t.html">rlDevHsiClk_t</a> *data)</td></tr>
<tr class="memdesc:ga126ee250dbf87efb6ebcc865c83150ab"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets High Speed Interface Clock.  <a href="#ga126ee250dbf87efb6ebcc865c83150ab">More...</a><br /></td></tr>
<tr class="separator:ga126ee250dbf87efb6ebcc865c83150ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga373a308b08605bebcc62d5e68e72436f"><td class="memItemLeft" align="right" valign="top">MMWL_EXPORT rlReturnVal_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___data___path.html#ga373a308b08605bebcc62d5e68e72436f">rlDeviceSetCsi2Config</a> (rlUInt8_t deviceMap, <a class="el" href="structrl_dev_csi2_cfg__t.html">rlDevCsi2Cfg_t</a> *data)</td></tr>
<tr class="memdesc:ga373a308b08605bebcc62d5e68e72436f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets CSI2 data format Configuration.  <a href="#ga373a308b08605bebcc62d5e68e72436f">More...</a><br /></td></tr>
<tr class="separator:ga373a308b08605bebcc62d5e68e72436f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae7dff35053b5f6bddcad08bf34de27fa"><td class="memItemLeft" align="right" valign="top">MMWL_EXPORT rlReturnVal_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___data___path.html#gae7dff35053b5f6bddcad08bf34de27fa">rlDeviceGetCsi2Config</a> (rlUInt8_t deviceMap, <a class="el" href="structrl_dev_csi2_cfg__t.html">rlDevCsi2Cfg_t</a> *data)</td></tr>
<tr class="memdesc:gae7dff35053b5f6bddcad08bf34de27fa"><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets Csi2 data format Configuration.  <a href="#gae7dff35053b5f6bddcad08bf34de27fa">More...</a><br /></td></tr>
<tr class="separator:gae7dff35053b5f6bddcad08bf34de27fa"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<p>mmWave Radar Data Path(LVDS/CSI2) Module. </p>
<p>The Data path module has interface for Enabling and controlling high speed data interface such as CSI2 and LVDS. Configures the data format, data rate, lane parameters. <br />
Below diagram shows the data transfer for different data formats and lanes on high speed interface</p>
<div class="image">
<img src="data_path_lanes.png" alt="data_path_lanes.png"/>
</div>
<p>Related Files</p><ul>
<li>rl_device.c </li>
</ul>
<h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="gae7dff35053b5f6bddcad08bf34de27fa"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">rlReturnVal_t rlDeviceGetCsi2Config </td>
          <td>(</td>
          <td class="paramtype">rlUInt8_t&#160;</td>
          <td class="paramname"><em>deviceMap</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structrl_dev_csi2_cfg__t.html">rlDevCsi2Cfg_t</a> *&#160;</td>
          <td class="paramname"><em>data</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Gets Csi2 data format Configuration. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">deviceMap</td><td>- Bitmap of devices to send the message </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">data</td><td>- Container for CSI2 Configuration</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>rlReturnVal_t Success - 0, Failure - Error Code</dd></dl>
<p>Gets CSI2 data format Configuration. This API is valid only for AWR1243 mmWave device when mmWaveLink instance is running on External Host Processor. </p>

</div>
</div>
<a class="anchor" id="gabb85491e6de4885adb195518c9da9a6d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">rlReturnVal_t rlDeviceGetDataFmtConfig </td>
          <td>(</td>
          <td class="paramtype">rlUInt8_t&#160;</td>
          <td class="paramname"><em>deviceMap</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structrl_dev_data_fmt_cfg__t.html">rlDevDataFmtCfg_t</a> *&#160;</td>
          <td class="paramname"><em>data</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Gets LVDS/CSI2 Data output format. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">deviceMap</td><td>- Bitmap of devices to send the message </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">data</td><td>- Container for LVDS/CSI2 Data output format</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>rlReturnVal_t Success - 0, Failure - Error Code</dd></dl>
<p>Gets LVDS/CSI2 Data output format. This API is valid only for AWR1243 mmWave device when mmWaveLink instance is running on External Host Processor </p>

</div>
</div>
<a class="anchor" id="ga947eccf4029f111057e79fcd121ed00e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">rlReturnVal_t rlDeviceGetDataPathConfig </td>
          <td>(</td>
          <td class="paramtype">rlUInt8_t&#160;</td>
          <td class="paramname"><em>deviceMap</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structrl_dev_data_path_cfg__t.html">rlDevDataPathCfg_t</a> *&#160;</td>
          <td class="paramname"><em>data</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Gets data path Configuration. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">deviceMap</td><td>- Bitmap of devices to send the message </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">data</td><td>- Container for Path Configuration</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>rlReturnVal_t Success - 0, Failure - Error Code</dd></dl>
<p>Gets data path Configuration. This API is valid only for AWR1243 mmWave device when mmWaveLink instance is running on External Host Processor </p>

</div>
</div>
<a class="anchor" id="ga65ef04a40f6908d4d145779312912163"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">rlReturnVal_t rlDeviceGetLaneConfig </td>
          <td>(</td>
          <td class="paramtype">rlUInt8_t&#160;</td>
          <td class="paramname"><em>deviceMap</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structrl_dev_lane_enable__t.html">rlDevLaneEnable_t</a> *&#160;</td>
          <td class="paramname"><em>data</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Gets Lane enable Configuration. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">deviceMap</td><td>- Bitmap of devices to send the message </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">data</td><td>- Container for lane enable Configuration</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>rlReturnVal_t Success - 0, Failure - Error Code</dd></dl>
<p>Gets Lane enable Configuration. This API is valid only for AWR1243 mmWave device when mmWaveLink instance is running on External Host Processor. </p>

</div>
</div>
<a class="anchor" id="ga373a308b08605bebcc62d5e68e72436f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">rlReturnVal_t rlDeviceSetCsi2Config </td>
          <td>(</td>
          <td class="paramtype">rlUInt8_t&#160;</td>
          <td class="paramname"><em>deviceMap</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structrl_dev_csi2_cfg__t.html">rlDevCsi2Cfg_t</a> *&#160;</td>
          <td class="paramname"><em>data</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Sets CSI2 data format Configuration. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">deviceMap</td><td>- Bitmap of devices to send the message </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">data</td><td>- Container for CSI2 Configuration</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>rlReturnVal_t Success - 0, Failure - Error Code</dd></dl>
<p>Sets CSI2 data format Configuration. This API is valid only for AWR1243 mmWave device when mmWaveLink instance is running on External Host Processor </p>

</div>
</div>
<a class="anchor" id="ga121645804bbdc6588428379e48740eaa"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">rlReturnVal_t rlDeviceSetDataFmtConfig </td>
          <td>(</td>
          <td class="paramtype">rlUInt8_t&#160;</td>
          <td class="paramname"><em>deviceMap</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structrl_dev_data_fmt_cfg__t.html">rlDevDataFmtCfg_t</a> *&#160;</td>
          <td class="paramname"><em>data</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Sets LVDS/CSI2 Data output format. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">deviceMap</td><td>- Bitmap of devices to send the message </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">data</td><td>- Container for LVDS/CSI2 Data output format</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>rlReturnVal_t Success - 0, Failure - Error Code</dd></dl>
<p>Sets LVDS/CSI2 Data output format. This API is valid only for AWR1243 mmWave device when mmWaveLink instance is running on External Host Processor </p>

</div>
</div>
<a class="anchor" id="ga4c39dbbeef9cc835f044b6335e0c78fc"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">rlReturnVal_t rlDeviceSetDataPathClkConfig </td>
          <td>(</td>
          <td class="paramtype">rlUInt8_t&#160;</td>
          <td class="paramname"><em>deviceMap</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structrl_dev_data_path_clk_cfg__t.html">rlDevDataPathClkCfg_t</a> *&#160;</td>
          <td class="paramname"><em>data</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Sets LVDS Clock Configuration. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">deviceMap</td><td>- Bitmap of devices to send the message </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">data</td><td>- Container for LVDS Clock Configuration</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>rlReturnVal_t Success - 0, Failure - Error Code</dd></dl>
<p>Sets LVDS Clock Configuration. This API is valid only for AWR1243 mmWave device when mmWaveLink instance is running on External Host Processor. </p>

</div>
</div>
<a class="anchor" id="ga2c4c0bdf32e6dd44a1e281168eea9807"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">rlReturnVal_t rlDeviceSetDataPathConfig </td>
          <td>(</td>
          <td class="paramtype">rlUInt8_t&#160;</td>
          <td class="paramname"><em>deviceMap</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structrl_dev_data_path_cfg__t.html">rlDevDataPathCfg_t</a> *&#160;</td>
          <td class="paramname"><em>data</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Sets LVDS/CSI2 Path Configuration. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">deviceMap</td><td>- Bitmap of devices to send the message </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">data</td><td>- Container for Path Configuration</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>rlReturnVal_t Success - 0, Failure - Error Code</dd></dl>
<p>Sets LVDS/CSI2 Data path configuration. This API is valid only for AWR1243 mmWave device when mmWaveLink instance is running on External Host Processor </p>

</div>
</div>
<a class="anchor" id="ga126ee250dbf87efb6ebcc865c83150ab"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">rlReturnVal_t rlDeviceSetHsiClk </td>
          <td>(</td>
          <td class="paramtype">rlUInt8_t&#160;</td>
          <td class="paramname"><em>deviceMap</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structrl_dev_hsi_clk__t.html">rlDevHsiClk_t</a> *&#160;</td>
          <td class="paramname"><em>data</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Sets High Speed Interface Clock. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">deviceMap</td><td>- Bitmap of devices to send the message </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">data</td><td>- Container for HSI Clock</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>rlReturnVal_t Success - 0, Failure - Error Code</dd></dl>
<p>Sets High Speed Interface Clock </p>

</div>
</div>
<a class="anchor" id="ga4d54ca72d1ebc361ef80c75ea3de2b34"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">rlReturnVal_t rlDeviceSetHsiConfig </td>
          <td>(</td>
          <td class="paramtype">rlUInt8_t&#160;</td>
          <td class="paramname"><em>deviceMap</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structrl_dev_hsi_cfg__t.html">rlDevHsiCfg_t</a> *&#160;</td>
          <td class="paramname"><em>data</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>: This function sets the High Speed Interface(LVDS/CSI2) clock, lane, data rate and data format </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">deviceMap</td><td>- Connected device Index </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">data</td><td>- HSI Config data</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>rlReturnVal_t Success - 0, Failure - Error Code</dd></dl>
<p>: This function sets the High Speed Interface(LVDS/CSI2) clock, lane, data rate and data format. This API is valid only for AWR1243 mmWave device when mmWaveLink instance is running on External Host Processor </p>

</div>
</div>
<a class="anchor" id="ga09df3b8194ffad0c7c52a84ae1224e85"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">rlReturnVal_t rlDeviceSetLaneConfig </td>
          <td>(</td>
          <td class="paramtype">rlUInt8_t&#160;</td>
          <td class="paramname"><em>deviceMap</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structrl_dev_lane_enable__t.html">rlDevLaneEnable_t</a> *&#160;</td>
          <td class="paramname"><em>data</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Sets Lane enable Configuration. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">deviceMap</td><td>- Bitmap of devices to send the message </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">data</td><td>- Container for lane enable Configuration</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>rlReturnVal_t Success - 0, Failure - Error Code</dd></dl>
<p>Sets Lane enable configuration. This API is valid only for AWR1243 mmWave device when mmWaveLink instance is running on External Host Processor. </p>

</div>
</div>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
